org.eclipse.emf.cdo.security

## Interface Role

- All Superinterfaces:
    CDOObject, CDOWithID, EObject, ModelElement, Notifier, SecurityElement, SecurityItem
  All Known Implementing Classes:
    RoleImpl

      public interface Role
      extends SecurityItem

  A representation of the model object 'Role'.
  See Also:
    `SecurityPackage.getRole()`
  Generated
  Model
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

    The following features are supported:

    - `Id`
    - `Permissions`
    - `Assignees`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ADMINISTRATION`
    `static java.lang.String` | `ALL_OBJECTS_READER`
    `static java.lang.String` | `ALL_OBJECTS_WRITER`
    `static java.lang.String` | `RESOURCE_TREE_READER`
    `static java.lang.String` | `RESOURCE_TREE_WRITER`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `EList<Assignee>` | `getAssignees()` Returns the value of the 'Assignees' reference list.
    `java.lang.String` | `getId()` Returns the value of the 'Id' attribute.
    `EList<Permission>` | `getPermissions()` Returns the value of the 'Permissions' containment reference list.
    `void` | `setId(java.lang.String value)` Sets the value of the '`Id`' attribute.

    - ### Methods inherited from interface org.eclipse.emf.cdo.security.SecurityElement

      `getRealm`

    - ### Methods inherited from interface org.eclipse.emf.cdo.etypes.ModelElement

      `getAnnotation, getAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.cdo.CDOObject

      `cdoConflict, cdoDirectResource, cdoHistory, cdoID, cdoInvalid, cdoLockState, cdoPermission, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoRevision, cdoState, cdoView, cdoWriteLock, cdoWriteOption`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### ADMINISTRATION

          static final java.lang.String ADMINISTRATION

      Since:
        4.3
      See Also:
        Constant Field Values

    - #### RESOURCE_TREE_WRITER

          static final java.lang.String RESOURCE_TREE_WRITER

      Since:
        4.3
      See Also:
        Constant Field Values

    - #### RESOURCE_TREE_READER

          static final java.lang.String RESOURCE_TREE_READER

      Since:
        4.3
      See Also:
        Constant Field Values

    - #### ALL_OBJECTS_WRITER

          static final java.lang.String ALL_OBJECTS_WRITER

      Since:
        4.3
      See Also:
        Constant Field Values

    - #### ALL_OBJECTS_READER

          static final java.lang.String ALL_OBJECTS_READER

      Since:
        4.3
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getAssignees

          EList<Assignee> getAssignees()

      Returns the value of the 'Assignees' reference list. The list contents are of type `Assignee`. It is bidirectional and its opposite is '`Roles`'.

      If the meaning of the 'Assignees' reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Assignees' reference list.
      See Also:
        `SecurityPackage.getRole_Assignees()`, `Assignee.getRoles()`
      Generated
      Model
        opposite="roles"

    - #### getId

          java.lang.String getId()

      Returns the value of the 'Id' attribute.

      If the meaning of the 'Id' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Id' attribute.
      See Also:
        `setId(String)`, `SecurityPackage.getRole_Id()`
      Generated
      Model

    - #### setId

          void setId(java.lang.String value)

      Sets the value of the '`Id`' attribute.
      Parameters:
        `value` - the new value of the 'Id' attribute.
      See Also:
        `getId()`
      Generated

    - #### getPermissions

          EList<Permission> getPermissions()

      Returns the value of the 'Permissions' containment reference list. The list contents are of type `Permission`. It is bidirectional and its opposite is '`Role`'.

      If the meaning of the 'Permissions' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Permissions' containment reference list.
      See Also:
        `SecurityPackage.getRole_Permissions()`, `Permission.getRole()`
      Generated
      Model
        opposite="role" containment="true"

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html